Subject: Re: [PATCH v2 0/3] Teach git-diff-tree(1) option --max-depth

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Aug 2025 08:15:44 -0700

Toon Claes <[email-masked]> writes:

> Changes in v2:
> - Added unit-tests for within_depth() in dir.c. Originally the patch
>   was a oneline change by Peff, but I've added a bunch of code and
>   extended the commit message, so I've set myself as the author and set
>   a Based-on-patch-by trailer for Peff. I hope that's okay?
> - Added support for --max-depth=-1 and extended code comments why we
>   need the max_depth_valid flag. With these modification it did no
>   longer feel appropriate to keep Peff's Signed-off-by trailer.
> - Made die() messages translatable.
> - Small tweaks to the docs.
> - Added some const-correctness.
> - Switched from `die("BUG: ...")` to `BUG(...)`.
> - Link to v1: https://lore.kernel.org/r/[email-masked]

This round seems to have attracted no comments, after seeing and
reacting to a few comments in the previous rounds.  Should this be
a part of the first batch after 2.51 final gets tagged?

Thanks.